ICTN Ltd
ICTN Ltd is a supplier of goods and services to public sector organisations across the UK.
ICTN Ltd is connected to 16 direct awards.
Recent contract awards to ICTN Ltd
Browse public sector contract awards given to ICTN Ltd. Select a contract to see contract details and award amount.
- Awarded contract
RFC122 - Horsehay Gym
- Awarded contract
RFC125 - Old Park Primary
- Awarded contract
RFC127 - Dawley Town Hall P2P
- Awarded contract
ICT Infrastructure Cabling
- Awarded contract
Installation of computer cabling
- Awarded contract
Installation of computer cabling
- Awarded contract
Installation of computer cabling
- Awarded contract
Installation of computer cabling
- Awarded contract
Installation of computer cabling
- Awarded contract
Installation of computer cabling
- Expired contract
Installation of computer cabling
- Expired contract
Network cabling
- Expired contract
Network cabling
- Expired contract
4_19 - Supply of Audio, Visual and Presentation Equipment
- Awarded contract
Television and audio-visual equipment
- Expired contract
4RFQ0417-01 - Supply of Audio, Visual and Interactive Equipment
Showing 16 of 16 results
Most searched government suppliers
The public sector suppliers most searched for on Stotles, with the number of notices naming each one.
Want to research a competitor or partner?
From first signal to bid submission, Stotles turns procurement chaos into predictable pipeline.